/*
 * This Java source file was generated by the Gradle 'init' task.
 */
package com.crio.jdbc;

import java.sql.Connection;
import java.sql.DatabaseMetaData;
import java.sql.DriverManager;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.Map;

public class App {

    public static void printNumberOfTables(Connection conn) throws SQLException {
        ArrayList<String> listOfTables = new ArrayList<String>();
        DatabaseMetaData dbMetaData = conn.getMetaData();
        try (ResultSet resultSet = dbMetaData.getTables("hotels", null, null, new String[] { "TABLE" })) {
            while (resultSet.next()) {
                String tableName = resultSet.getString("TABLE_NAME");
                listOfTables.add(tableName);
            }
        }
        System.out.println("Total tables are: "+listOfTables.size());
        System.out.println("The tables are:");
        for(String table : listOfTables){
            System.out.println(table);
        }
    }

    public static void readAndPrintHotels(Connection conn) throws SQLException {
        String newQuery = "SELECT hd.hotel_name, hr.review_text FROM hotel_details hd LEFT JOIN hotel_reviews hr on hd.hotel_id=hr.hotel_id where hd.hotel_id = ?";
        ArrayList<Map<String,String>> allResults = new ArrayList<Map<String,String>>();
        try(PreparedStatement newStatement = conn.prepareStatement(newQuery)){
            newStatement.setString(1, "22");
            ResultSet resultSet = newStatement.executeQuery();
            while (resultSet.next()) {
                Map<String,String> map = new HashMap<>();
                map.put("hotel_name", resultSet.getString("hotel_name"));
                map.put("review_text",resultSet.getString("review_text"));
                allResults.add(map);
            }
        }
        System.out.println("List of Hotels and their reviews");
        for(Map<String, String> m : allResults){
            System.out.println(m.get("hotel_name"));
            System.out.println(m.get("review_text"));
        }
    }

    public static void main(String[] args) throws ClassNotFoundException, SQLException {

        // TODO: Establish a connection (You will have to update url every time
        // workspace resets)
        Connection conn = DriverManager.getConnection("jdbc:mysql://localhost:3306/hotels", "root",
                "");

        try {

            // TODO: Implement a method to Print the number of Tables in database `hotels`
            printNumberOfTables(conn);

            // TODO: Implement a method to Read and Print the Columns `hotel_name` and
            // `star_rating` from table hotel_details
            readAndPrintHotels(conn);

        } catch (Exception e) {
            System.out.println("Exception occured!!! \n " + e.getMessage());
        } finally {
            conn.close();
        }
    }
}
